Skip to main content
GET
/
v1
/
jobs
/
{job_id}
Get Job
curl --request GET \
  --url https://api.example.com/v1/jobs/{job_id}
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "job_type": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "progress": 123,
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "grid_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "related_grid_fill_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "grid_items_count": 123
}

Path Parameters

job_id
string<uuid>
required

Response

Successful Response

GET /v1/jobs/{id} response — current status for the caller's job.

job_id
string<uuid>
required
job_type
string
required
status
string
required
created_at
string<date-time>
required
progress
integer | null
started_at
string<date-time> | null
completed_at
string<date-time> | null
error_message
string | null
grid_id
string<uuid> | null
grid_items_count
integer | null